﻿/* Mobile */
@media screen and (max-width: 767px) {
    #side-drawer-direct-add {
        width: 100% !important;
        right: -336px;
        opacity: 0;
    }

    #referral-add-footer {
        width: 100% !important;
    }
}

.hidden-scrollbar {
    overflow: hidden;
}

/* Bootstrap drawer */
#side-drawer-direct-add {
    height: 100%;
    width: 500px; /* Reference: https://forums.envato.com/t/standard-sidebar-width/75633 */
    z-index: 1050; /* z-index of standard bootstrap navbar is 1030 + 1 offset due to side-drawer-void */
    top: 0;
    right: -700px;
    transition: right 0.5s ease;
    background: white;
}

#scrollable-content {
    overflow-x: hidden;
    overflow-y: auto;
    height: calc(100% - 80px);
}

#side-drawer-direct-add #referral-add-title span {
    font-size: 24px;
    vertical-align: sub;
    font-weight: 600;
    overflow-wrap: break-word;
}

#side-drawer-direct-add .form-group > label, #side-drawer-direct-add .customTextbox > label, #side-drawer-direct-add .customRadio > label {
    font-size: 14px;
    font-weight: 600 !important;
    color: #020617;
}

#side-drawer-direct-add select {
    font-size: 14px;
    color: #020617;
    font-weight: 400;
}

select.RadioOption:invalid, select.RadioOption option[value=''] {
    color: #999 !important;
}

select.RadioOption option {
    color: black;
}

#referral-add-footer {
    bottom: 0;
    position: absolute;
    background-color: white;
    height: 80px;
    width: 500px;
    display: flex;
}

#referral-add-footer > button {
    flex: 1 1 0;
}

#side-drawer-direct-add-void {
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 1031; /* z-index of standard bootstrap navbar is 1030 */
    background: rgba(0,0,0,.6);
}

.direct-add-error-container {
    margin-top: 8px;
}

.direct-add-error {
    font-weight: normal !important;
    color: #D63C3C;
    font-size: 0.8rem !important
}

#rr-direct-add-success-container img {
    width: 32px;
    height: 32px;
    border-radius: 100%;
    margin-right: 8px;
}

#rr-direct-add-success-container .referralStatusBadge {
    display: inline-block !important;
    font-weight: 600;
    border-radius: 9999px;
    border: 1px solid #E2E8F0;
    background: #F8FAFC;
    padding: 2px 8px;
    color: #475569;
    font-size: 12px;
}

label.direct-add-required-label:after {
    content: '*';
    color: red;
    font-weight: 600;
}